<lib-header [title]="'Projects at Swiss Re'"></lib-header>

<table mat-table [dataSource]="dataSource" class="mat-elevation-z8" style="width: 100%;">
  <ng-container matColumnDef="name">
    <th mat-header-cell *matHeaderCellDef>Name</th>
    <td mat-cell *matCellDef="let element"> {{element.name}} </td>
  </ng-container>
  <ng-container matColumnDef="budget">
    <th mat-header-cell *matHeaderCellDef>Budget</th>
    <td mat-cell *matCellDef="let element"> {{element.budget}} </td>
  </ng-container>
  <ng-container matColumnDef="startDate">
    <th mat-header-cell *matHeaderCellDef>Start date</th>
    <td mat-cell *matCellDef="let element"> {{element.startDate | date: 'dd.MM.yyyy'}} </td>
  </ng-container>
  <ng-container matColumnDef="technology">
    <th mat-header-cell *matHeaderCellDef>Technology</th>
    <td mat-cell *matCellDef="let element"> {{element.technology}} </td>
  </ng-container>
  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
